# php7

#### Table of Contents

1. [Overview](#overview)
2. [Module Description - What the module does and why it is useful](#module-description)
3. [Setup - The basics of getting started with php7](#setup)
    * [What php7 affects](#what-php7-affects)
    * [Beginning with php7](#beginning-with-php7)
4. [Usage - Configuration options and additional functionality](#usage)
5. [Reference - An under-the-hood peek at what the module is doing and how](#reference)
5. [Limitations - OS compatibility, etc.](#limitations)
    * [Support](#support)

## Overview

The Puppet php7 module install and configures [PHP7](https://www.zend.com/en/resources/php7_infographic) beta or nightly build from Zend Repository on Ubuntu.

## Module Description

Module installs PHP7 and configures alternatives with low priority for PHP7.

## Setup

### What php7 affects

* Adds [Zends PHP7 early access repo](http://php7.zend.com/repo.php) and updates packages

### Beginning with php7

To install php7 on a node, include the `php7` class:

~~~
include 'php7'
~~~

By default this installs php7-beta1 package. If php5 is installed already the php binaries are not updated.

## Usage

Put the classes, types, and resources for customizing, configuring, and doing
the fancy stuff with your module here.

## Reference

Here, list the classes, types, providers, facts, etc contained in your module.
This section should include all of the under-the-hood workings of your module so
people know what the module is touching on their system but don't need to mess
with things. (We are working on automating this section!)

## Limitations

### Support

I tested the module on:

* Ubuntu 15.04 x86_64

## Development

Since your module is awesome, other users will want to play with it. Let them
know what the ground rules for contributing are.
