class php7::configure inherits php7 {

  define alternatives ($fileName) {
    alternative_entry { "/usr/local/php7/bin/${fileName}":
      ensure   => present,
      altlink  => "/usr/bin/${fileName}",
      altname  => $fileName,
      priority => $alternative_priority,
      require  => Package['php7-beta1'],
    }
  }

  alternatives { $alternative_binaries: }

  file { '/usr/bin/phar':
    ensure => link,
    target => '/usr/bin/phar.phar',
  }

}
